package card_t_mall_order

import (
	v1 "kami/api/card_info_t_mall_game/v1"
	"kami/api/commonApi"
	"kami/internal/model"
	"testing"

	_ "github.com/gogf/gf/contrib/drivers/mysql/v2"
	"github.com/gogf/gf/v2/os/gctx"
	"github.com/gogf/gf/v2/os/glog"
)

func Test_sRechargeTMallGameOrder_GetOrderSummary(t *testing.T) {
	ctx := gctx.New()
	order := sRechargeTMallGameOrder{}
	total, record, err := order.GetOrderSummary(ctx, &model.TMallSummaryListRecordInput{TMallGameDailyOrderSummaryReq: v1.TMallGameDailyOrderSummaryReq{
		CommonPageReq: commonApi.CommonPageReq{
			Current:  1,
			PageSize: 20,
		},
		//CallBackType: consts.RechargeTMallGameCallBackTypeConfirm,
	}})
	glog.Info(ctx, total, record, err)
}

func Test_sRechargeTMallGameOrder_GetOrderStats(t *testing.T) {
	ctx := gctx.New()
	order := sRechargeTMallGameOrder{}
	result, _ := order.GetOrderStats(ctx, &model.TMallGameStatsInput{TMallGameStatsReq: v1.TMallGameStatsReq{}})
	glog.Info(ctx, &result.TMallGameStatsRes.TodayRate)
}
